Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-10 Thread Dan Dunham

Here is the underlying Webkit bug causing this: 
https://bugs.webkit.org/show_bug.cgi?id=40355

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-10 Thread eric73
Thanks all

I will try to fix some peace of code in my application

Cheers

Eric

On 9 juin, 23:53, Dan Dunham dunha...@gmail.com wrote:
 Here is the underlying Webkit bug causing 
 this:https://bugs.webkit.org/show_bug.cgi?id=40355

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-09 Thread matthew jones
Interestingly i've discovered that this bug only applies to 32bit
safari.  On 10.5 or Win running safari 5 normally causes the error,
but if i choose to use rosetta to run it (64bit ppc code), it works
fine.  On 10.6 when safari is in i386_x64 mode, it works fine, but if
i choose to run in 32-bit mode then I'm seeing the exception again.

On Jun 8, 1:22 pm, eric73 e...@pentila.com wrote:
 I am not use deferred commands and code splitting
 so the problem stay unsolved .

 Please help

 On 8 juin, 19:17, matthew jones bigboxe...@gmail.com wrote:



  We're using deferred commands and code splitting.

  On Jun 8, 12:12 pm, eric73 e...@pentila.com wrote:

   On 8 juin, 18:54, Jeff Chimene jchim...@gmail.com wrote:

On 06/08/2010 09:46 AM, matthew jones wrote:

 Same thing here.

 On Jun 8, 11:43 am, eric73 e...@pentila.com wrote:
 Hi all!

 today I upgrade my Safari 4.0 to Safari 5.0 on Snow (other browsers
 are OK)
 Now my sites build with GWT 2.0.3 / GWT EXT 2.0.6 etc ... sometime
 don't run.
 I test its with Safari 4.0 and all worked.

 A javascript Error appear :

 RangeError: Maximum call stack size exceeded.

Are you using deferred commands or codesplitting? I'mn seeing the same
thing on the Linux build of Chrome.

   No, this error appear on 2 tree (gwt ext) and a Grid with a potential
   big set of data...
   But an other grid in an others part of my application, with an other
   big set of data work ...

   I use cross-site compilation (xs linker) ...

   Thanks for reply

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-08 Thread matthew jones
Same thing here.

On Jun 8, 11:43 am, eric73 e...@pentila.com wrote:
 Hi all!

 today I upgrade my Safari 4.0 to Safari 5.0 on Snow (other browsers
 are OK)
 Now my sites build with GWT 2.0.3 / GWT EXT 2.0.6 etc ... sometime
 don't run.
 I test its with Safari 4.0 and all worked.

 A javascript Error appear :

 RangeError: Maximum call stack size exceeded.

 I don't known where the error come in my application.
 And my application run in DevMode!

 Any helps will be welcome

 Thanks.

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-08 Thread Jeff Chimene
On 06/08/2010 09:46 AM, matthew jones wrote:
 Same thing here.
 
 On Jun 8, 11:43 am, eric73 e...@pentila.com wrote:
 Hi all!

 today I upgrade my Safari 4.0 to Safari 5.0 on Snow (other browsers
 are OK)
 Now my sites build with GWT 2.0.3 / GWT EXT 2.0.6 etc ... sometime
 don't run.
 I test its with Safari 4.0 and all worked.

 A javascript Error appear :

 RangeError: Maximum call stack size exceeded.

Are you using deferred commands or codesplitting? I'mn seeing the same
thing on the Linux build of Chrome.

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-08 Thread eric73


On 8 juin, 18:54, Jeff Chimene jchim...@gmail.com wrote:
 On 06/08/2010 09:46 AM, matthew jones wrote:

  Same thing here.

  On Jun 8, 11:43 am, eric73 e...@pentila.com wrote:
  Hi all!

  today I upgrade my Safari 4.0 to Safari 5.0 on Snow (other browsers
  are OK)
  Now my sites build with GWT 2.0.3 / GWT EXT 2.0.6 etc ... sometime
  don't run.
  I test its with Safari 4.0 and all worked.

  A javascript Error appear :

  RangeError: Maximum call stack size exceeded.

 Are you using deferred commands or codesplitting? I'mn seeing the same
 thing on the Linux build of Chrome.

No, this error appear on 2 tree (gwt ext) and a Grid with a potential
big set of data...
But an other grid in an others part of my application, with an other
big set of data work ...

I use cross-site compilation (xs linker) ...

Thanks for reply

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-08 Thread matthew jones
We're using deferred commands and code splitting.

On Jun 8, 12:12 pm, eric73 e...@pentila.com wrote:
 On 8 juin, 18:54, Jeff Chimene jchim...@gmail.com wrote:





  On 06/08/2010 09:46 AM, matthew jones wrote:

   Same thing here.

   On Jun 8, 11:43 am, eric73 e...@pentila.com wrote:
   Hi all!

   today I upgrade my Safari 4.0 to Safari 5.0 on Snow (other browsers
   are OK)
   Now my sites build with GWT 2.0.3 / GWT EXT 2.0.6 etc ... sometime
   don't run.
   I test its with Safari 4.0 and all worked.

   A javascript Error appear :

   RangeError: Maximum call stack size exceeded.

  Are you using deferred commands or codesplitting? I'mn seeing the same
  thing on the Linux build of Chrome.

 No, this error appear on 2 tree (gwt ext) and a Grid with a potential
 big set of data...
 But an other grid in an others part of my application, with an other
 big set of data work ...

 I use cross-site compilation (xs linker) ...

 Thanks for reply

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.



Re: Safari 5 / GWT / GWT EXT 2.0.6

2010-06-08 Thread eric73
I am not use deferred commands and code splitting
so the problem stay unsolved .

Please help

On 8 juin, 19:17, matthew jones bigboxe...@gmail.com wrote:
 We're using deferred commands and code splitting.

 On Jun 8, 12:12 pm, eric73 e...@pentila.com wrote:

  On 8 juin, 18:54, Jeff Chimene jchim...@gmail.com wrote:

   On 06/08/2010 09:46 AM, matthew jones wrote:

Same thing here.

On Jun 8, 11:43 am, eric73 e...@pentila.com wrote:
Hi all!

today I upgrade my Safari 4.0 to Safari 5.0 on Snow (other browsers
are OK)
Now my sites build with GWT 2.0.3 / GWT EXT 2.0.6 etc ... sometime
don't run.
I test its with Safari 4.0 and all worked.

A javascript Error appear :

RangeError: Maximum call stack size exceeded.

   Are you using deferred commands or codesplitting? I'mn seeing the same
   thing on the Linux build of Chrome.

  No, this error appear on 2 tree (gwt ext) and a Grid with a potential
  big set of data...
  But an other grid in an others part of my application, with an other
  big set of data work ...

  I use cross-site compilation (xs linker) ...

  Thanks for reply

-- 
You received this message because you are subscribed to the Google Groups 
Google Web Toolkit group.
To post to this group, send email to google-web-tool...@googlegroups.com.
To unsubscribe from this group, send email to 
google-web-toolkit+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/google-web-toolkit?hl=en.